# CLI Anwendung

Die Konsolenversion der Embedded Test Bench ist zum headless Ausführen von Testplänen gedacht.
Diese Anwendung kann kein Testprojekt ändern, sondern nur Testpläne ausführen und die Ergebnisse speichern / exportieren.
Aktuell kann die CLI einen Export nach PDF wie die GUI machen, oder eine TestPlan Datei mit Ergebnissen erstellen.
Der reine XML Export, wie in der GUI ist aktuell noch nicht enthalten. 
Kann aber über einen zusätzlichen Schritt (Erstellten Testplan in der GUI laden und anschließend mit der GUI als Xml exportieren) realisiert werden.

Abhängig von den gewählten Testschritten ist eine vollautomatische Ausführung eines Testplans z.B. innerhalb einer CI möglich oder nicht.
Testschritte mit Benutzerinteraktionsnotwendigkeit verhindern das Ausführen in einer CI.

Die ETB.CLI.exe verwendet diverse Parameter, diese sind wie folgt:

--version

| Parameter | Bedeutung |
| - | - |
| --version | Anzeige der Version |
| -?, -h, --help | Anzeige der Hilfe |
| execute | Parameter zur Ausführung eines Testplans, weitere Parameter sind notwendig |
| exportHardwareMapper | Parameter zum Exportieren der HardwareMap, weitere Parameter sind notwendig |

## Parameterwahl execute

Folgende Parameter sind jetzt noch ergänzend möglich

| Parameter | Notwendig | Bedeutung |
| - | - | - |
| -t, --TestPlan xxx | ja | Der Testplan, basierend auf dem die Mapper Datei erstellt werden soll (xxx == Dateiname) |
| -frt, --FastReportTemplate xxx | ja | Template Datei zur Berichtserstellung (xxx == *.frx) - Angabe aktuell IMMER notwendig |
| -xsd, --Xsd xxx | ja | Xml Schemadatei (xxx == *.xsd) - Angabe aktuell IMMER notwendig |
| -o, --OutputFolder xxx | ja | Ordner in dem die Ergebnisse gespeichert werden sollen |
| --ExportAs <All, None, Pdf, TestPlan>  | nein | Der Export erfolgt als pdf oder Testplan Datei oder nichts oder beides |
| --version | nein | Anzeige der Version |
| -?, -h, --help | nein | Anzeige der Hilfe |
| -j, --Jsonmapper xxx | nein | Dateiname der zu erstellenden Json Mapper datei (xxx == Dateiname) |

## Parameterwahl exportHardwareMapper

Folgende Parameter sind jetzt noch ergänzend möglich

| Parameter | Notwendig | Bedeutung |
| - | - | - |
| --version | nein | Anzeige der Version |
| -?, -h, --help | nein | Anzeige der Hilfe |
| -t, --TestPlan xxx | ja | Der Testplan, basierend auf dem die Mapper Datei erstellt werden soll (xxx == Dateiname) |
| -j, --Jsonmapper xxx | ja | Dateiname der zu erstellenden Json Mapper datei (xxx == Dateiname) |


[Zurück zum Inhaltsverzeichnis](Main.md)