# Key Editor

![keyeditor](help/deutsch/_images/keyeditor/overview.png)

Der Keyeditor ermöglicht das Erstellen, Bearbeiten und Löschen von [Keys](testprojekt), die [Testfällen](testprojekt/testfall.md) und [Testschritten](testprojekt/testschritt.md) zugeordnet werden können.

Der Editor ist in 3 Tabs aufgeteilt. 
Jeweils einen für die Key Liste, den Key Typen und den Key Kategorien.
Die Key Liste zeigt alle vorhandenen Keys. 
Mit einem Rechtsklick in der Tabelle öffnet sich ein Kontextmenü, dass die Bearbeitung erlaubt.
So können neue Keys angelegt, oder aber z.B. der gewählte Key gelöscht werden.
Die Bearbeitung erfolgt direkt in der Tabelle.

Bei den Typen und Kategorieren, kann über das Kontextmenü nur gelöscht werden.
Zur Bearbeitung wählt man einen Typen oder eine Kategorie aus und bearbeitet sie in der Bearbeitenmaske darüber.
Speichern übernimmt dann die Änderung in die Tabelle.

Da die Key Liste sehr groß werden kann, existieren 4 Filtermöglichkeiten, die ineinandergreifen.

Eine Zusätzliche Funktion der Key-Liste ist der Import / Export via CSV.
Hierbei kann man für die CSV Spalten beliebige Namen vergeben und die Eigenschaften der Keys unter neuem Spaltennamen exportieren.
Beim Import werden die Spalten der CSV-Datei angezeigt und müssen auf die passenden Eigenschaften der Keys gemappt werden.

Eine exemplarische CSV Datei zu dem Bild hier sieht wie folgt aus, wenn die Spaltennamen nicht geändert wurden:

Typ;Kennung;Link;Kommentar;Name;Beschreibung;Kategorie;
Typ A;Key 1;www.google.de;;Key 1;Lorem Ipsum;Kategorie a;
Typ A;Key 2;www.google.de;;Key 2;Lorem Ipsum;Kategorie b;
Typ A;Key 3;www.google.de;;Key 3;Lorem Ipsum;Kategorie c;
Typ B;Key 4;www.google.de;;Key 4;Lorem Ipsum;Kategorie a;
Typ B;Key 4;www.google.de;;Key 5;Lorem Ipsum;Kategorie b;
Typ B;Key 6;www.google.de;;Key 6;Lorem Ipsum;Kategorie c;
Typ C;Key 7;www.google.de;;Key 7;Lorem Ipsum;Kategorie a;
Typ C;Key 8;www.google.de;;Key 8;Lorem Ipsum;Kategorie b;
Typ C;Key 9;www.google.de;;Key 9;Lorem Ipsum;Kategorie c;


[Zurück zur Fensterübersicht](app/gui.md)

[Zurück zum Inhaltsverzeichnis](Main.md)