# Python

Dieses Plugin fügt folgende Testschritte hinzu:
* [Python - Skript ausführen](testprojekt/schritte/schritt_python.md)

Das Python Plugin erlaubt die Nutzung eigener Python Skripte für kundenindividuelle Testschritte.

Die Python Version lässt sich über die Einstellungen global festlegen.

Die Kommunikation mit der ETB erfolgt durch eine eigene Python Bibliothek: py_etb

Die Nutzung ist wie folgt:

    import sys
    from py_etb.etb import ETB_handler

    pipe_names = sys.argv[1]
    cwd = sys.argv[2]
    etb_connection = ETB_handler(pipe_names)

    etb_connection.send_actual_result("test"\n")
    etb_connection.send_detail_view("test\n")

[Zurück zum Inhaltsverzeichnis](Main.md)
