# Testfall

Ein Testfall ist Teil einer [Testspezifikation](testprojekt/testspezifikation.md) und wird benötigt, um [Testschritte](testprojekt/testschritt.md) anlegen zu können.
Wie bei der Testspezifikation, kann man beim Testfall auswählen, ob dieser mehrfach wiederholt werden soll.
Testfällen können außerdem [Keys](testprojekt/keys.md) zugeordnet werden. 

Ein Testfall hat folgende Eigenschaften:

| Name | Beschreibung |
| - | - |
| Anzeigename | Name des Testfalls. Wird im Hauptfenster links im Test-Explorer und im Test Runner als Name verwendet
| Beschreibung | Freitext für extra Informationen für diesen Testfall |
| Author | Author dieses Testfalls. Metainformationen für den Benutzer um nachzuvollziehen wer welche Testfälle erstellt hat |
| Test durchführen | Wenn ja, wird dieser Testfall durchgeführt. Kann verwendet werden um Testfälle zu deaktivieren ohne sie zu löschen |
| Test wiederholen | Wenn ja, kann dieser Testfall mit allen Kindern wiederholt ausgeführt werden |
| Wiederholungsmodus | Es gibt 3 unterschiedliche Modi der Wiederholung Diese werden in der unteren Tabelle erklärt |
| Relevante Testfall Keys | List an Keys die diesem Testfall zugeordnet sind. Siehe auch [Keys](testprojekt/keys.md). Hinzufügen / Entfernen mit einem Doppelklick|
| Relevante Testschritt Keys | Zusammenfassung aller Keys, Zusammenfassungen aus den Keys aller Testfälle und Testschritte. Siehe auch [Keys](testprojekt/keys.md).

Unter dem Tab "Ansicht" gibt es eine Voransicht wie dieser Testfall im Testrunner aussehen wird.

[Zurück zum Inhaltsverzeichnis](Main.md)
