# Testschritt

Jeder [Testfall](testprojekt/testfall.md) besteht aus Testschritten.
Jeder Testschritt führt dabei einen Aufgabe des Testfalls aus.
Es gibt eine Liste von Basistestschritten, die mit der Embedded Test Bench ausgeliefert werden.
Die Liste wird durch die Testschritte der verfügbaren Plugins erweitert und kann durch das entwickeln eigener Plugins noch weiter erweitert werden.

Ein Testschritt hat folgende Basiseigenschaften:

| Name | Beschreibung |
| - | - |
| Anzeigename | Name des Testschritts. Wird im Hauptfenster links im Test-Explorer und im Test Runner als Name verwendet
 Schrittart | Art des Testschritts. Siehe [Testschrittarten](testprojekt/testschrittarten.md).
| Beschreibung | Freitext für extra Informationen für diesen Testschritt. Wird im Testrunner angezeigt um Testschritte zu dokumentieren. Über spezielle Tags mit dem Format`<! !>` können hier Informationen anderer Eigenschafte neingefügt werden. Für eine Liste bitte den blauen `?` Button verwenden. |
| Erwartetes Ergebnis | Hier kann in Textform das erwartete Ergebnis des Testschritts beschrieben werden. Es erfolgt anhand dieser Eingabe aber keine Validierung |
| Relevante Keys | List an [Keys](testprojekt/Keys.md) die diesem Testschritt zugeordnet sind. Hinzufügen / Entfernen mit einem Doppelklick |
| Testabbruch bei Fehler | Wenn ja, wird der Test abgebrochen wenn dieser Testschritt fehlschlägt. Wenn nein läuft der Test weiter. |
| Test durchführen | Wenn ja, wird dieser Testschritt durchgeführt. Kann verwendet werden um Testschritte zu deaktivieren ohne sie zu löschen |
| Detailfenster bei Ausführung anzeigen | Sofern der Testschritt über eine Detailergebnisansicht verfügt, kann man hiermit direkt das Fenster beim Ausführen des Schritts öffnen lassen (nur in der UI Version) |

Was genau die einzelnen Schritte machen und deren individuellen Eigenschaften, werden separat beschrieben.
Eine Übersicht über alle Basistestschritte ist [hier](testprojekt/testschrittarten.md) zu finden.

[Zurück zum Inhaltsverzeichnis](Main.md)
