# Testspezifikation

Die Testspezfikation ist die oberste Hierarchie-Stufe nach dem Testprojekt. Sie muss mindestens einen [Testfall](testprojekt/testfall.md) mit mindestens einem [Testschritt](testprojekt/testschritt.md) besitzen, um ausgeführt werden zu können.

Eine Testspezifikation hat folgende Eigenschaften:

| Name | Beschreibung |
| - | - |
| Anzeigename | Name der Testspezifikation. Wird im Hauptfenster links im Test-Explorer und im Test Runner als Name verwendet |
| Beschreibung | Freitext für extra Informationen für diese Testspezifikation |
| Author | Author dieser Testspezifikation. Metainformationen für den Benutzer um nachzuvollziehen wer welche Testspezifikation erstellt hat |
| Test wiederholen | Wenn ja, kann diese Testspezifikation mit allen Kindern wiederholt ausgeführt werden |
| Wiederholungsmodus | Es gibt 3 unterschiedliche Modi der Wiederholung Diese werden in der unteren Tabelle erklärt |
| Anzahl Wiederholungen | Für den Wiederholungsmodus "Feste Anzahl an Wiederholung" ist das die Wiederholungsanzahl |
| Relevante Keys | Liste aller Keys, Zusammenfassung aus den Keys aller untergeordneten Testfälle und Testschritte. Siehe auch [Keys](Keys.md). |


## Wiederholungsmodi

| Name | Beschreibung |
| - | - |
| Nachfragen | Nach jedem Durchlauf der Testspezifikation wird der Benutzer gefragt, ob die Testspezifikation wiederholt werden soll |
| Abbruch durch Benutzer | Die Testspezifikation wird so lange automatisch wiederholt, bis der Benutzer die Wiederholung abbricht (In Der Konsolenanwendung wird hier der Modus "Nachfragen" verwendet) |
| Feste Anzahl an Wiederholungen | Die Testspezifikation wird genauso oft wiederholt, wie man im Parameter "Anzahl Wiederholungen" angegeben hat |

[Zurück zum Inhaltsverzeichnis](Main.md)
