#!/usr/bin/env python3
import os
import sys
import stat
import pathlib
from py_etb.etb import ETB_handler
import time

pipe_names = sys.argv[1]
current_workdir = sys.argv[2]
file_name = sys.argv[3]

kommapos = pipe_names.find(",",0,len(pipe_names))
pipe_path_actual_result = pipe_names[1:kommapos]
pipe_path_detail_result = pipe_names[kommapos + 1:len(pipe_names)-1]

etb_connection = ETB_handler(pipe_names)
with open(os.path.join(current_workdir, file_name)) as file:
    lines = file.readlines()
    for line in lines:
        etb_connection.send_detail_view(line + "\n")
    
etb_connection.send_actual_result("feddich\n")
