#!/usr/bin/env python3
import os
import sys
import stat
import pathlib
from py_etb.etb import ETB_handler
import time

pipe_names = sys.argv[1]
total_time = int(sys.argv[2])

counter = 0
kommapos = pipe_names.find(",",0,len(pipe_names))
pipe_path_actual_result = pipe_names[1:kommapos]
pipe_path_detail_result = pipe_names[kommapos + 1:len(pipe_names)-1]

etb_connection = ETB_handler(pipe_names)

for tick in range(int(total_time)):
    print("aktueller Tick " + str(tick))
    time_remaining = total_time - counter
    etb_connection.send_actual_result(str(time_remaining) + " sek verbleibend\n")
    counter = counter + 1
    time.sleep(1)

etb_connection.send_actual_result("0.00 sek verbleibend\n")
