# Embedded Test Bench

Die Embedded Test Bench von MATHEMA GmbH ist ein vielseitiges Testsystem, das das Erstellen, Ausführen, Verifizieren und Dokumentieren von Testspezifikationen und Prüfabläufen sowie deren Ergebnisse ermöglicht.

Diese Hilfe unterstützt sie bei den ersten Schritten mit der ETB.

## Inhaltsverzeichnis
- [Testprojekt](testprojekt/testprojekt.md)
  - [Testspezifikation](testprojekt/testspezifikation.md)
  - [Testfall](testprojekt/testfall.md)
  - [Testschritt](testprojekt/testschritt.md)
  - [Keys](testprojekt/keys.md)
  - [Hardware](testprojekt/hardware.md)
- [Testplan](testplan/testplan.md)
- [Ordnerstruktur](ordnerstruktur/ordnerstruktur.md)
- [Plugins](plugins/plugins.md)
  - [Multiplexer](plugins/multiplexer.md)
  - [Digistant](plugins/digistant.md)
  - [Python](plugins/python.md)
- [Export](export/export.md)
- Anwendungen
  - [Befehlszeilenanwendung](app/cli.md)
  - [GUI](app/gui.md)
    - [Hauptfenster](app/ui/mainwindow.md)
    - [Testrunner](app/ui/testrunner.md)
    - [Key Editor](app/ui/keyeditor.md)
    - [Export](app/ui/export.md)
    - [Einstellungen](einstellungen/einstellungen.md)
- [FAQ](faq/faq.md)
