# Export

![Export Übersicht](help/deutsch/_images/export/overview.png)

Das Exportfenster dient zum Exportieren des [Testprojekts](testprojekt/testprojekt.md) und des [Testplans](testprojekt/testplan.md).

Für alle gewählten Dateien, egal ob Zieldatei, Template oder Schemadatei, gilt, dass diese passend in der 
[Projektmappenstruktur](ordnerstruktur/ordnerstruktur.md) enthalten sind. 
Dateien außerhalb der Projektmappe können nicht gewählt werden.

## Exportvarianten 
Aktuell kann direkt als xml oder pdf exportiert werden. 

### Export als xml
Für den Xml Export muss lediglich die Zieldatei gewählt werden.

### Export als pdf
Der Pdf Export funktioniert mit Hilfe von Fast Report.
Der Embedded Test Bench liegt ein sehr einfaches Export Template für ein Testprojekt und einen Testplan bei.
Eine Individualisierung ist mithilfe des ebenfalls beigelegten Berichtseditor möglich.

Für den Export müssen hier zusätzlich zur Zieldatei noch das Berichtstemplate (das erwähnte Beispiel oder ein angepasstes Template) sowie die ebenfalls mit angefügte Xml-Schemadatei ausgewählt werden.

## Export von Testprojekt / Testplan

Ob man ein Testprojekt exportiert oder einen Testplan hat einen kleinen Unterschied:

### Testprojekt

Beim Testprojekt können folgende Objekte exportiert werden:

* Beliebige ausgewählte Testspezifikationen / -fälle / -schritte
* Hardware (Sollen alle erstellten Hardware mit exportiert werden?)
* Projektkeys (Soll die Projektkey Liste mit exportiert werden)
* Exportiere nur Testkomponenten (Spezifikation/Fall/Schritt) die auch ausgeführt werden

### Testplan

Der Testplan exportiert lediglich die Testspezifkationen / -fälle / -schritte, die auch ausgeführt wurden.
Man kann hier aber gezielt einzelne Komponenten ab- oder auswählen.
Keys Liste oder Hardware Liste wird hier nicht exportiert.



[Zurück zur Fensterübersicht](app/gui.md)

[Zurück zum Inhaltsverzeichnis](Main.md)