# Testrunner

![Testrunner](help/deutsch/_images/testrunner/overview.png)

Der Testrunner ist wie auch das Hauptfenster zweigeteilt.
Auf der linken Seite befindet sich eine Iconleiste (Nummer 1) und darunter werden die Testspezifikationen sowie Testfälle des Testprojekts abgebildet.
In der Spalte der Testfälle (Nummer 3) werden aber nur die Fälle der aktuell in der linken Spalte (Nummer 2) ausgewählten Testspezifikation angezeigt.

Die Iconleiste besitzt folgende Funktionen

| Name | Funktion |
| - | - |
| Tests starten | Startet die Testausführung |
| Tests abbrechen | Bricht die Ausführung bei der nächsten Möglichkeit ab |
| Schleife ... abbrechen | Wird die aktuelle [Testspezifikation](testprojekt/testspezifikation.md) / der aktuelle [Testfall](testprojekt/testfall.md) wiederholt und durch Nutzerinteraktion beendet, kann hier die jeweilige Schleife abgebrochen werden |
| Manuelle Bestätigung | Wird für den Manuellen Testschritt benötigt. Nur wenn man den Button drückt, geht der Testschritt weiter. |
| Testplan öffnen | Öffnet einen gewählten Testplan / Auch Testergebnisse können sich so erneut öffnen lassen |
| Testplan (mit Ergebnis) speichern | Speichert den aktuellen Testplan |
| Hardwaremapping Datei speichern | Es wird eine JSON Datei erstellt, in dieser kann man das Mapping von z.B. Hardware, die eine serielle Schnittstelle verwendet, anpassen, so dass das Testprojekt/-plan auch auf anderen PCs verwendet werden kann |
| Testplan exportieren | Öffnet den Export-Dialog |

Der größte Teil des Fensters ist für die Testschrittanzeige.
Hier werden die Testschritte der gewählten Testspezifikation + gewählten Testfall (Bei wiederholbaren, die gewählte Iteration) angezeigt.

Die Anzeige ist Tabellarisch und enthält folgende Informationen:

| Name | Beschreibung |
| - | - |
| kein Name | Indikator welcher Testschritt gerade ausgeführt wird |
| Schritt Nr. | Fortlaufende Nummer |
| Schritt | Name des Testschritts |
| Kein Name | Hier wird das Blitzsymbol angezeigt sofern es sich um einen Testschritt handelt, der eine Benutzereingabe erfordert. |
| Startzeit | Zeitstempel wann der Testschritt begonnen wurde |
| Endzeit | Zeitpunkt wann der Testschritt beendet wurde |
| Aktion / Beschreibung | Beschreibung aus der Testschritt Definition |
| Erwartetes Ergebnis | Erwartetes Ergebnis aus der Testschritt Definition |
| Tatsächliches Ergebnis | Enthält Zwischenergebnisse oder Log-Ausgaben z.B. aus den Skripten - Bei längeren Testschritten können hier "keep-alives" angezeigt werden |
| Status | Status des Testschritts |

Der Testrunner verwendet Farbcodes um dem Anwender schnell den Status der einzelnen Objekte mitteilen zu können.
Folgende Status und Farben gibt es

| Status | Farbe |
| - | - |
| Testschritt ausstehend | keine |
| Testschritt erfolgreich | grün |
| Testschritt fehlgeschlagen | rot |
| Testschritt läuft gerade | gelb |
| Testschritt abgebrochen | blau |



[Zurück zur Fensterübersicht](app/gui.md)

[Zurück zum Inhaltsverzeichnis](Main.md)