# Keys

In einem [Testprojekt](testprojekt/testprojekt.md) können Testkeys hinterlegt und dann [Testfällen](testprojekt/testfall.md) und [Testschritten](testprojekt/testschritt.md) zugeordnet werden.
Die Keys sind eine Nachbildung von Tickets eines Ticketsystems. 
Ein Key kann dabei für eine bestimmte Anforderungen, einen Bug, oder eine Task stehen. 
Dieser Key kann dann explizit innerhalb eines Testfalls / eines Testschritts behandelt und nachgeprüft werden.

Die Bearbeitung der Key Liste ist nur über die UI durch das entsprechende Symbol oder unter "Datei -> Keys bearbeiten" möglich.

## Aufbau eines Keys

Ein Key hat die folgenden Eigenschaften:

| Name | Bedeutung |
| - | - |
| Typ | Der Typ des Keys. Da diese Eigenschaft sehr flexibel ist, wird sie weiter unten ausführlich beschrieben |
| Kategorie | Die Kategorie des Keys. Da diese Eigenschaft sehr flexibel ist, wird sie weiter unten ausführlich beschrieben
| Name | Name des Schlüssels |
| Kennung | Eine eindeutige Kennung für den Key. Bitte beachten Sie, dass die ETB die Eindeutigkeit auch prüft und im Falle einer Dopplung die Zelle hervorhebt |
| Link | Dieses Feld kann einen Link z.B. zu einem Ticketsystem enthalten  |
| Beschreibung | Beschreibt den Key |
| Kommentar | Dient als zusätzliches Feld für weitere Kommentare zu dem Key |

### Key Typen

Für eine höhere Flexibilität werden bei den Key Typen keine Vorgaben gemacht. 
Man kann beliebig viele Typen anlegen und diese mit einer Beschreibung sowie einem Icon versehen.

### Key Kategorien

Ähnlich wie bei den Key Typen ist hier für eine höhere Flexibilität nochts vorgegeben.
Für Kategorien sind aber keine Icons vorgesehen.

[Zurück zum Inhaltsverzeichnis](Main.md)
