# Testschritt Python - Skript ausführen

Dieser Testschritt führt ein Python Skript aus.
An das Skript können vorher festgelegte Parameter übergeben werden.
In einer der nächsten Versionen wird es möglich sein, dass man die Parameter optional während der Ausführung noch ändern kann.

Dieser Testschritt hat neben den [allgemeinen Eigenschaften](testprojekt/testschritt.md) folgende Eigenschaften:

| Name | Beschreibung |
| - | - |
| Detailansicht Typ | Hier kann die Detailergebnisansicht ausgewählt werden. Die Möglichkeiten werden weiter unten beschrieben |
| Python Parameter | Parameter, die direkt an die Python Anwendung (nicht das Skript) übergeben werden |
| Python Skript | Pfad des auszuführenden Python Skripts - Achtung das Skript muss innerhalb der [Projektmappenstruktur](ordnerstruktur/ordnerstruktur.md) liegen |
| Übergabeparameter | Parameter, die an das Python Skript überegben werden. Achtung sys.argv[3] ist == dem ersten Parameter in dieser Liste. Die Parameter davor, werden durch die ETB selbst bestimmt |

## Detailergebnisansicht


| Name | Beschreibung |
| - | - |
| Keine | Es gibt kein Detailfenster |
| Tabelle | Es wird eine Tabelle angezeigt. Zur Formatierung der Ausgaben bitte entsprechendes Python Beispiel vergleichen |
| Graph | Es wird ein Graph angezeigt. Zur Formatierung der Ausgaben bitte entsprechendes Python Beispiel vergleichen |
| Graph + Tabelle | Es wird ein Graph und eine Tabelle angezeigt. Zur Formatierung der Ausgaben bitte entsprechendes Python Beispiel vergleichen |
| Text | Es wird ein Fenster mit einem Textfeld angezeigt |

[Zurück zur Testschrittauswahl](testprojekt/testschrittarten.md)

[Zurück zum Inhaltsverzeichnis](Main.md)
