# Testprojekt

Die Embedded Test Bench arbeitet mit Testprojekten, die eine feste Projektmappenstruktur haben.
Die Dateistruktur der Projektmappe wird unter [Ordnerstruktur](ordnerstruktur/ordnerstruktur.md) näher beschrieben.

## Aufbau

Eine Testprojektdatei ist im Grunde eine XML Datei. 
Diese enthält die Daten über die im Projekt angelegten 
* [Keys](testprojekt/keys.md)
* [Hardware](testprojekt/hardware.md)
* [Testspezifikation(en)](testprojekt/testspezifikation.md)
  * [Testfall/-fälle](testprojekt/testfall.md)
    * [Testschritt(e)](testprojekt/testschritt.md)

Ein Testprojekt muss zum Ausführen über mindestens eine [Testspezifikation](testprojekt/testspezifikation.md), mit einem [Testfall](testprojekt/testfall.md), mit einem [Testschritt](testprojekt/testschritt.md) verfügen.

Ausgeführt wird aber nicht das Testprojekt, sondern ein mit Hilfe des Testprojekts erstellter [Testplan](testplan/testplan.md).


[Zurück zum Inhaltsverzeichnis](Main.md)
